//Global Styling

.carType-container {
	padding: 4.1875rem 0;
}

.carTyper-header {
	h1 {
		font-family: $Poppins;
		font-weight: 600;
	}

	h3 {
		font-family: $Roboto;
		font-weight: 500;
		color: $maroon;
		display: flex;
		align-items: center;
		justify-content: center;
		gap: 1rem;
		font-size: 1rem;
	}
}

.carType-link {
	color: $maroon;
	a {
		color: $maroon;
		font-size: 1rem;
		font-family: $Roboto;
	}
}

.gallery-1,
.gallery-2,
.gallery-3,
.gallery-4,
.gallery-5,
.gallery-6,
.gallery-7,
.gallery-8 {
	min-width: 15.875rem;
	min-height: 10rem;
}

.gallery-1 {
	position: relative;
	background-image: url("../images/hundai.png");
	background-repeat: no-repeat;
	background-size: cover;
	button {
		position: absolute;
		bottom: 0.625rem;
		left: 1rem;
	}
}
.gallery-2 {
	position: relative;
	background-image: url("../images/ford.png");
	background-repeat: no-repeat;
	background-size: cover;
	button {
		position: absolute;
		bottom: 0.625rem;
		left: 1rem;
	}
}
.gallery-3 {
	position: relative;
	background-image: url("../images/nisan.png");
	background-repeat: no-repeat;
	background-size: cover;
	button {
		position: absolute;
		bottom: 0.625rem;
		left: 1rem;
	}
}
.gallery-4 {
	position: relative;
	background-image: url("../images/mahendra.png");
	background-repeat: no-repeat;
	background-size: cover;
	button {
		position: absolute;
		bottom: 0.625rem;
		left: 1rem;
	}
}
.gallery-5 {
	position: relative;
	background-image: url("../images/skoda.png");
	background-repeat: no-repeat;
	background-size: cover;
	button {
		position: absolute;
		bottom: 0.625rem;
		left: 1rem;
	}
}
.gallery-6 {
	position: relative;
	background-image: url("../images/toyota.png");
	background-repeat: no-repeat;
	background-size: cover;
	button {
		position: absolute;
		bottom: 0.625rem;
		left: 1rem;
	}
}
.gallery-7 {
	position: relative;
	background-image: url("../images/honda.png");
	background-repeat: no-repeat;
	background-size: cover;
	button {
		position: absolute;
		bottom: 0.625rem;
		left: 1rem;
	}
}
.gallery-8 {
	position: relative;
	background-image: url("../images/renault.png");
	background-repeat: no-repeat;
	background-size: cover;
	button {
		position: absolute;
		bottom: 0.625rem;
		left: 1rem;
	}
}

//mobile.....................................................................................................

@media only screen and (max-width: 467px) {
	.carType-container {
		padding: 1rem;
	}

	.carTyper-header {
		text-align: center;
	}

	.gallery-wrapper {
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
		gap: 1.5rem;
	}

	.carType-link {
		display: flex;
		justify-content: flex-end;
		align-items: center;
		gap: 1rem;
		padding: 1rem;
		color: $maroon;
		a {
			color: $maroon;
			font-size: 0.8rem;
		}
	}
}

//laptops...........................................................................................................

@media only screen and (min-width: 468px) {
	.carTyper-header {
		display: flex;
		padding: 1rem;
		flex-direction: column;
		justify-content: center;
		align-items: center;
		gap: 1rem;
		h3 {
			display: flex;
			align-items: center;
			gap: 1rem;
			font-size: 1rem;
		}
		h1 {
			font-size: 2.625rem;
			text-align: center;
		}
	}

	.carType-link {
		display: flex;
		justify-content: flex-end;
		align-items: center;
		gap: 1rem;
		padding: 1rem;
		color: $maroon;
		a {
			color: $maroon;
			font-size: 1rem;
		}
	}

	.gallery-wrapper {
		display: flex;
		flex-wrap: wrap;
		justify-content: center;
		align-items: center;
		gap: 1.5rem;
	}
}
